# @dash-id

{% hint style="info" %}
You will not usually set @dash-id manually. Instead the dash-id will be automatically created when publishing your chart to DashSQL. See [Sharing & Publishing](/product-and-community/in-development/sharing-and-publishing.md)
{% endhint %}

## Quick Reference

```
-- @dash-id: ghjeiof02
```

## Valid Values

`String`

## Full Example

```sql
-- @title: Auto Heatmap
-- @subtitle: An example auto generated heatmap comparing two categories
-- @dash-id: gjt30fj
SELECT
Owner,
Channel,
count(*) as Sales
FROM Sales
WHERE Sales.Status = 'Won'
GROUP BY Owner, Channel
```

## Use Cases

@dash-id uniquely and globally identifies your chart in the DashSQL database. It is used for lookups and collaboration purposes. You will typically not need to edit this manually.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chartsql.com/reference/directives/dash-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
